%global majorver	1

Summary: Better String library
Name: bstrlib
Version: %{majorver}.0.0
Release: 2%{?dist}
#The entire source code is BSD or GPLv2 except bsafe.c,bsafe.h,bstest.c,testaux.c,test.cpp which are BSD
License: BSD and (BSD or GPLv2)
URL: http://bstring.sourceforge.net/
Source0: https://github.com/websnarf/bstrlib/archive/v%{version}.tar.gz
Source1: Makefile
# A packager supplied makefile. Upstream gave a template in bstrlib.txt:489
BuildRequires: gcc-c++

%description
A string data type abstraction superior to that of C library.

%package devel
Summary: Bstrlib development libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Bstrlib development libraries.


%prep
%setup -q
cp -p  %{SOURCE1} ./Makefile
sed -i "s|@VER@|%{version}|g" Makefile
sed -i "s|@BUILDLIBDIR@|%{buildroot}%{_libdir}|g" Makefile
sed -i "s|@MAJORVER@|%{majorver}|g" Makefile
%build

make  %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="%__global_ldflags" all

%install
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
for f in libbstr.so.%{version} libbstrsafe.so.%{version} libbstrc++.so.%{version}; do
cp -p -f ${RPM_BUILD_DIR}/%{name}-%{version}/$f ${RPM_BUILD_ROOT}%{_libdir}/$f
done

# Bstrlib headers
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/bstrlib/
cp -a  ${RPM_BUILD_DIR}/%{name}-%{version}/*.h ${RPM_BUILD_ROOT}%{_includedir}/bstrlib/

ldconfig -n ${RPM_BUILD_ROOT}%{_libdir} -v
cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libbstr.so.%{version} libbstr.so
ln -sf libbstrsafe.so.%{version} libbstrsafe.so
ln -sf libbstrc++.so.%{version} libbstrc++.so

%check
make LIBDIR="${RPM_BUILD_ROOT}%{_libdir}" INCLUDEDIR="${RPM_BUILD_ROOT}%{_includedir}/bstrlib/" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="%__global_ldflags" check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md
%license LICENSE gpl.txt
%{_libdir}/libbstr.so.%{majorver}
%{_libdir}/libbstr.so.%{version}
%{_libdir}/libbstrc++.so.%{majorver}
%{_libdir}/libbstrc++.so.%{version}
%{_libdir}/libbstrsafe.so.%{majorver}
%{_libdir}/libbstrsafe.so.%{version}

%files devel
%doc porting.txt  bstrlib.txt security.txt
%dir %{_includedir}/bstrlib/
%{_includedir}/bstrlib/bstraux.h
%{_includedir}/bstrlib/bstrlib.h
%{_includedir}/bstrlib/bstrwrap.h
%{_includedir}/bstrlib/buniutil.h
%{_includedir}/bstrlib/utf8util.h
%{_includedir}/bstrlib/bsafe.h
%{_libdir}/libbstr.so
%{_libdir}/libbstrc++.so
%{_libdir}/libbstrsafe.so



%changelog
* Mon Oct 02 2017 yecheng <18969068329@163.com> - 1.0.0-2
- Fix sonames
* Sat Jul 29 2017 yecheng <18969068329@163.com> - 1.0.0-1
- Initial packaging
